#version 330 core

// interpolated varyings from vertex shader
in vec3 v_Pos;
in vec2 v_TexCoord;

// output color
out vec4 FragColor;

uniform float u_Time;

void main()
{
	vec2 uv = v_TexCoord;
    float n = u_Time;
    
    float x = uv.x*(sin(uv.y+n*0.5)*2.);
    float y = uv.y*(sin(uv.x+n*0.2)*2.);
    
    float xp = uv.x-0.5+sin(x*3.+n-sin(y*7.+n));
    float yp = uv.y-0.5+sin(y*3.+n+sin(x*5.-n));
    
    float eh = ((sqrt(xp*xp+yp*yp)*5.+n));
    
	FragColor = vec4(sin(eh*0.5+(y+n*1.1)*5.-n*5.),sin(eh*0.6+(y+n)*5.-n*5.),sin(eh*0.1+(y+n*1.2)*5.-n*5.),1.0);
}