#version 330 core

in vec3 v_Pos;
in vec2 v_TexCoord;

// output color
out vec4 FragColor;

uniform float u_Time;
uniform vec2 iResolution;

float rand (vec2 n) { 
	return fract(sin(dot(n, vec2(12.9898, 4.1414))) * 43758.5453);
}

vec2 rotate (vec2 v, float a) {
	float s = sin(a);
	float c = cos(a);
	mat2 m = mat2(c, -s, s, c);
	return m * v;
}

void main() {
    vec2 coord = 6.0 * v_TexCoord;

    for(int n = 1; n < 7; n++){
        float i = float(n);
        coord += vec2(2.0 / i * sin(i * coord.y + u_Time + 0.3 * i) + 0.8, 0.4 / i * sin(coord.x + u_Time + 0.3 * i) + 10.6);
    }

    vec3 color = vec3(0.5 * sin(coord.x) + 0.5, 0.5 * sin(coord.y) + 0.5, sin(coord.x + coord.y));


    FragColor = vec4(color, 1.0);
}